Skip to main content
`Ctrl`+`K`

# SNESFASGetGalerkin

Gets if the coarse problems are formed by projection to the fine problem

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESFASGetGalerkin(SNES snes, PetscBool *flg)

Not Collective but the result would be the same on all MPI processes

## Input Parameter

- snes - the `SNESFAS` nonlinear solver context

## Output Parameter

- flg - `PETSC_TRUE` if the coarse problem is formed by projection

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESFAS`, `SNESFASSetLevels()`, `SNESFASSetGalerkin()`

## Level

advanced

## Location

src/snes/impls/fas/fasgalerkin.c

Index of all SNESFAS routines
Table of Contents for all manual pages
Index of all manual pages